App::KGB::Commit::Tag(3pm)

NAME
App::KGB::Commit::Tag - a helper class for describing tags

SYNOPSIS
    my $c = App::KGB::Commit::Tag->new(
        {   id       => 4536,
            changes  => ["(M)/there"],
            log      => "fixed /there",
            author   => "My Self <mself@here.at>",
            branch   => "trunk",
            module   => "test",
            tag_name => 'release-1.0',
        }
    );

DESCRIPTION
App::KGB::Commit::Tag is a special sub-class of <App:KGB::Commit>, used to describe simple (not annotated tags). It only add a new field, tag_name.

FIELDS

tag_name
    The name of the tag, e.g. "release-1.0".